Tessel Installation

Latest CLI Release

Latest Firmware Release

To install the latest CLI, follow the installation instructions below. To install the latest firmware, follow the firmware upgrade instructions.

After installing Node.js, run this in your terminal:

npm install -g https://s3.amazonaws.com/builds.tessel.io/cli/tessel-cli-current.tar.gz

OS X Prerequisites

Node.js is a prerequisite for installing the Tessel command line. We recommend using the downloadable installer for Node.js. Or you can use brew:

brew install node

After installing Node.js, libudev, and libusb, run this in your terminal:

npm install -g https://s3.amazonaws.com/builds.tessel.io/cli/tessel-cli-current.tar.gz

Linux Prerequisites

Node.js, libudev, and libusb are prerequisites for installing the Tessel command line.

If you are running Ubuntu 12.04 or greater, you can run these commands:

# ubuntu 12.04
sudo apt-get update
sudo apt-get install -y python-software-properties python g++ make
sudo add-apt-repository -y ppa:chris-lea/node.js
sudo apt-get update
sudo apt-get install nodejs curl pkg-config libusb-1.0.0-dev libudev-dev

After installing Node.js, run this in cmd.exe:

npm install -g https://s3.amazonaws.com/builds.tessel.io/cli/tessel-cli-current.tar.gz

Windows Prerequisites

Node.js is prerequisite for installing the Tessel command line. We recommend using the downloadable installer for Node.js.

If you are using the Chocolatey package manager, you can run these commands:

cinst nodejs.install

Post install check

Run the following on your command line:
tessel version
You should see something like:
v0.2.0
Now plug in a Tessel to your computer and run:
tessel list
If you get:
TM-00-03-f0009a30-006a4f59-686d6208
Your Tessel is connected and detected! Next try:
tessel blink
Your Tessel should download code and start blinking.

Congrats, you have installed Tessel. Now upgrade your firmware and go check out more demos.

For more information check out Tessel documentation.



Tessel, © Technical Machine